Difference between revisions of "Zeromq package"

From Octave
Jump to navigation Jump to search
Line 5: Line 5:
 
== package requirements ==
 
== package requirements ==
  
The {{Forge|zeromq}} package requires the zeromq libraries and include files to be installed in order to compile.
+
The {{Forge|zeromq}} package requires the [http://http://zeromq.org/ ZeroMQ] libraries and include files to be installed in order to compile.
  
 
for fedora: yum install zeromq-devel
 
for fedora: yum install zeromq-devel

Revision as of 16:11, 4 March 2016

The zeromq package is part of the Octave Forge project and provides Octave bindings to the ZeroMQ library.

Installation

package requirements

The zeromq package requires the ZeroMQ libraries and include files to be installed in order to compile.

for fedora: yum install zeromq-devel

for ubuntu: apt install libzmq-dev

octave installation

With the ZeroMQ library installed, from octave commmand line:

>> pkg install -forge zeromq

Using it

Load it before any usage:

>> pkg load zeromq